package com.zhentao.service;

import com.zhentao.vo.CheckinInfoVO;

/**
 * 签到服务接口
 */
public interface CheckinService {
    
    /**
     * 用户签到
     * @param userId 用户ID
     * @return 签到信息
     */
    CheckinInfoVO checkin(Long userId);
    
    /**
     * 获取用户签到信息
     * @param userId 用户ID
     * @return 签到信息
     */
    CheckinInfoVO getCheckinInfo(Long userId);
}

